"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var instant_1 = require("../excute/instant");
var list_1 = require("../excute/list");
var deepclone_1 = require("../util/deepclone");
exports.checkOptionNameSpace = function (options) {
    var vars = options.vars;
    var externals = options.externals;
    var externalInstants = options.instants;
    var re = [];
    var usedNameSpaces = vars.map(function (value) {
        return {
            name: value.name,
            category: 'var',
        };
    }).concat((externals.map(function (value) {
        return {
            name: value.command,
            category: 'external',
        };
    }))).concat((externalInstants.map(function (value) {
        return {
            name: value.command,
            category: 'instant',
        };
    })));
    for (var _i = 0, usedNameSpaces_1 = usedNameSpaces; _i < usedNameSpaces_1.length; _i++) {
        var i = usedNameSpaces_1[_i];
        if (instant_1.instantList.indexOf(i.name) !== -1
            || list_1.internalList.indexOf(i.name) !== -1
            || list_1.reservedWordList.indexOf(i.name) !== -1) {
            re.push(i);
        }
    }
    return re;
};
exports.fixOption = function (optionsE) {
    var options;
    if (optionsE) {
        options = deepclone_1.deepCloneObject(optionsE);
    }
    else {
        options = {};
    }
    if (!options) {
        options = {};
    }
    if (!options.externals) {
        options.externals = [];
    }
    if (!options.vars) {
        options.vars = [];
    }
    if (!options.instants) {
        options.instants = [];
    }
    return options;
};
exports.checkNamespace = function (name) {
    return list_1.internalList.indexOf(name) !== -1;
};
